Skip to main content
GET
/
v2
/
mining
/
contracts
List Mining Contracts
curl --request GET \
  --url https://api.sectors.app/v2/mining/contracts/ \
  --header 'Authorization: <authorization>'
[
    {
        "mine_owner_slug": "adaro-energy",
        "mine_owner_name": "PT Adaro Energy Indonesia Tbk",
        "contractor_slug": "saptaindra-sejati",
        "contractor_name": "PT Saptaindra Sejati",
        "contract_period_end": "2025-12-31"
    },
    {
        "mine_owner_slug": "bukit-asam",
        "mine_owner_name": "PT Bukit Asam Tbk",
        "contractor_slug": "united-tractors",
        "contractor_name": "PT United Tractors Tbk",
        "contract_period_end": "2026-06-30"
    }
]
[
    {
        "mine_owner_slug": "adaro-energy",
        "mine_owner_name": "PT Adaro Energy Indonesia Tbk",
        "contractor_slug": "saptaindra-sejati",
        "contractor_name": "PT Saptaindra Sejati",
        "contract_period_end": "2025-12-31"
    },
    {
        "mine_owner_slug": "bukit-asam",
        "mine_owner_name": "PT Bukit Asam Tbk",
        "contractor_slug": "united-tractors",
        "contractor_name": "PT United Tractors Tbk",
        "contract_period_end": "2026-06-30"
    }
]
Authorization
string
required
Authorization header that should be filled with your Sectors Financial API key.

Query Parameters

mine_owner
string
Filter by mine owner company slug.
contractor
string
Filter by contractor company slug.

Response

[]
Contract